/* 
    globals for Bt848 frame grabber driver

    Copyright (C) 1996,97 Marcus Metzler (mocm@thp.uni-koeln.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _globs_h
#define _globs_h

/*
 *  globs.h
 */

#include "channel.h"

#define NOASP  0
#define A4_3  1
#define A16_9 2


#define EUROPE 1
#define USA 2

#define DCOUNTRY EUROPE

#define XtNaspect "aspect"
#define XtNsaver  "disableSaver"
#define XtNcountryF  "countryFile"
#define XtNfullScreen "fullScreen"
#define XtNsnapName "snapName"
#define XtNsequName "sequName"
#define XtNsequNum "sequNum"

#define XtCAspect "aspect"
#define XtCSaver  "disableSaver"
#define XtCCountryF  "countryFile"
#define XtCFullScreen "fullScreen"
#define XtCSnapName "snapName"
#define XtCSequName "sequName"
#define XtCSequNum "sequNum"


typedef struct {
  int aspect;
  int dasp;
  Boolean disable_saver;
  Boolean full_screen;
  char *countryFile;
  char *snapname;
  char *sequname;
  int seqnum;
} AppData;

#endif /* _globs_h */
/* DON'T ADD STUFF AFTER THIS #endif */

