/* 
    sound.h for Bt848 frame grabber driver

    Copyright (C) 1996,97 Marcus Metzler (mocm@thp.uni-koeln.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _sound_h
#define _sound_h

#define LEFT 0
#define RIGHT 1

struct _lrvol {
  unsigned char l,r;
} typedef lr_vol;
  
void sound_init ();
void set_master_vol(int l, int r=-1);
void get_master_vol(int &l, int lr=LEFT);

#endif /* _sound_h */
/* DON'T ADD STUFF AFTER THIS #endif */





