/* 
    globals for Bt848 frame grabber driver

    Copyright (C) 1996,97 Marcus Metzler (mocm@thp.uni-koeln.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _globals_h
#define _globals_h

/*
 *  globals.h
 */
#include <X11/Xlib.h>
#include <Xm/Xm.h>
#include "channel.h"
#include "globs.h"

extern AppData app_data;
extern Widget ChanW;
extern Widget dialog;
extern Widget list;
extern Widget freq;
extern Widget chan;
extern Widget fine;
extern Widget text;
extern channel head;
extern Widget toplevel;
extern Widget screen;
extern Widget input1[4];
extern Widget input2[4];
extern Widget norm[3];
extern Widget conwid;
extern Widget pane;
extern Widget rowcol;
extern Widget Message;
extern Widget Message2;
extern Visual *visual;
extern XtAppContext app_context;
extern country CountryList;
extern Widget OptW;
extern Widget OptF;
extern Widget seqs;

#endif /* _globals_h */
/* DON'T ADD STUFF AFTER THIS #endif */











